Name:             polkit
Version:          122
Release:          2
Summary:          Define and Handle authorizations tool
License:          LGPLv2+
URL:              http://www.freedesktop.org/wiki/Software/polkit
Source0:          https://gitlab.freedesktop.org/polkit/polkit/-/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:           modify-admin-authorization-from-wheel-group-to-root.patch
Patch1:           fix-core-dump-problem.patch

BuildRequires:    gcc-c++ glib2-devel >= 2.30.0 expat-devel pam-devel gtk-doc gettext-devel
BuildRequires:    gobject-introspection-devel systemd systemd-devel dbus-devel
BuildRequires:    pkgconfig(duktape) >= 2.2.0 meson git
Requires:         dbus polkit-pkla-compat
Requires:         %{name}-libs%{?_isa} = %{version}-%{release}
Requires(pre):    shadow-utils
Requires(post):   /sbin/ldconfig, systemd
Requires(preun):  systemd
Requires(postun): /sbin/ldconfig, systemd

Obsoletes:        PolicyKit <= 0.10 polkit-desktop-policy < 0.103 polkit-js-engine < 0.120-5 polkit < 0.113-3
Provides:         PolicyKit = 0.11 polkit-desktop-policy = 0.103 polkit-js-engine = %{version}-%{release}
Conflicts:        polkit-gnome < 0.97

%description
polkit is a toolkit for defining and handling authorizations. It is
used for allowing unprivileged processes to speak to privileged processes.

%package libs
Summary:          Libraries for polkit

%description libs
Libraries files for polkit.

%package          devel
Summary:          Development files for %{name}
Requires:         %{name}-libs%{?_isa} = %{version}-%{release}
Requires:         %{name}-help = %{version}-%{release}
Requires:         glib2-devel
Obsoletes:        PolicyKit-devel <= 0.10 PolicyKit-docs <= 0.10
Provides:         PolicyKit-devel = 0.11 PolicyKit-docs = 0.11 polkit-docs

%description      devel
Development files for polkit.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -D gtk_doc=true \
       -D introspection=true \
       -D man=true \
       -D session_tracking=libsystemd-login \
       -D examples=false \
       -D tests=false \
       -D js_engine=duktape

%meson_build

%install
%meson_install

%delete_la

%find_lang polkit-1

%pre
getent group polkitd >/dev/null || groupadd -r polkitd
getent passwd polkitd >/dev/null || useradd -r -g polkitd -d / -s /sbin/nologin -c "User for polkitd" polkitd
exit 0

%post
%systemd_post polkit.service

%preun
%systemd_preun polkit.service

%postun
%systemd_postun_with_restart polkit.service

%files -f polkit-1.lang
%doc COPYING NEWS.md README.md
%{_datadir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_datadir}/dbus-1/system-services/*
%{_unitdir}/polkit.service
%dir %{_datadir}/polkit-1/
%dir %{_datadir}/polkit-1/actions
%attr(0700,polkitd,root) %dir %{_datadir}/polkit-1/rules.d
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/policyconfig-1.dtd
%dir %{_sysconfdir}/polkit-1
%{_datadir}/polkit-1/rules.d/50-default.rules
%attr(0700,polkitd,root) %dir %{_sysconfdir}/polkit-1/rules.d
%{_sysconfdir}/pam.d/polkit-1
%{_bindir}/pkaction
%{_bindir}/pkcheck
%{_bindir}/pkttyagent
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%attr(4755,root,root) %{_bindir}/pkexec
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig
%files libs
%{_libdir}/lib*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gettext/its/polkit.its
%{_datadir}/gettext/its/polkit.loc
%{_datadir}/gtk-doc

%files help
%{_datadir}/man/man1/*
%{_datadir}/man/man8/*

%changelog
* Fri Feb 17 2023 wangyu <wangyu283@huawei.com> - 122-2
- revert: delete the expired polkit-pkla-compat

* Wed Feb 01 2023 wangyu <wangyu283@huawei.com> - 122-1
- Upgrade to 122

* Thu Dec 15 2022 shenxiangwei <shenxiangwei1@huawei.com> - 0.120-8
- fix core dump problem

* Fri Nov 11 2022 wangyu <wangyu283@huawei.com> - 0.120-7
- remake even configure scripts and configuration headers that are newer than their input files

* Mon Aug 22 2022 gengqihu <qihu@nfschina.com> - 0.120-6
- delete the expired polkit-pkla-compat

* Thu May 5 2022 Hugel <gengqihu1@h-partners.com> - 0.120-5
- change jsauthority to duktape 

* Fri Apr 1 2022 Hugel <gengqihu1@h-partners.com> - 0.120-4
- change jsauthority to mozjs91

* Sat Mar 5 2022 panxiaohe <panxh.life@foxmail.com> - 0.120-3
- Fix CVE-2021-4115

* Wed Jan 26 2022 panxiaohe <panxiaohe@huawei.com> - 0.120-2
- Fix CVE-2021-4034

* Mon Dec 6 2021 panxiaohe <panxiaohe@huawei.com> - 0.120-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update to 0.120

* Tue Jun 15 2021 panxiaohe <panxiaohe@huawei.com> - 0.118-2
- Fix CVE-2021-3560

* Thu Jan 21 2021 yixiangzhike <zhangxingliang3@huawei.com> - 0.118-1
- update to 0.118

* Wed Jan 6 2021 Liquor <lirui130@huawei.com> - 0.116-6
- remove 10-shutdown.rules

* Fri Nov 13 2020 Hugel <gengqihu1@huawei.com> - 0.116-5
- Port polkit to mozjs78

* Sun Sep 29 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.116-4
- Add libs

* Sat Sep 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.116-3
- Fix requires

* Tue Sep 24 2019 chengquan <chengquan3@huawei.com> - 0.116-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:revise requires of polkit

* Wed Sep 18 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.116-1
- Package init
